# Uses of Interface
com.sun.source.doctree.AuthorTree

Packages that use AuthorTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AuthorTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type AuthorTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitAuthor​(AuthorTree node, P p)`
Visits an AuthorTree node.

## Uses of AuthorTree in com.sun.source.util

Methods in com.sun.source.util that return AuthorTree
Modifier and Type
Method
Description
`AuthorTree`
DocTreeFactory.`newAuthorTree​(List<? extends DocTree> name)`
Creates a new `AuthorTree` object, to represent an `@author` tag.
Methods in com.sun.source.util with parameters of type AuthorTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitAuthor​(AuthorTree node, P p)`
Visits an AuthorTree node.
`R`
SimpleDocTreeVisitor.`visitAuthor​(AuthorTree node, P p)`
Visits an AuthorTree node.